{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "TCC_CODE"; 
            externalType = VARCHAR2; 
            name = tccCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = "TCC_ID"; 
            externalType = NUMBER; 
            name = tccId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCC_LIBELLE"; 
            externalType = VARCHAR2; 
            name = tccLibelle; 
            valueClassName = NSString; 
            width = 256; 
        }
    ); 
    attributesUsedForLocking = (tccId, tccCode); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.TypeClassificationContrat"; 
    classProperties = (tccId, tccCode, tccLibelle); 
    externalName = "GFC.TYPE_CLASSIFICATION_CONTRAT"; 
    internalInfo = {"_clientClassPropertyNames" = (tccCode, tccLibelle); }; 
    name = OpeTypeClassificationContrat; 
    primaryKeyAttributes = (tccId); 
    sharedObjectFetchSpecificationNames = (FetchAll); 
}
